QGIS crashes when erroneous credentials for WMS in qgis.conf

2015-05-26 03:07 PM - Ray Lee

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.8.2 Regression?: No

Operating System: Ubuntu 14.04 LTS Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 20925

Description

2.8 crashes with segfault when wrong password/username for a WMS server is stored in qgis.conf

History

#1 - 2015-05-26 11:57 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Category set to Web Services clients/WMS

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Target version set to Future Release - High Priority

I cannot confirm with WMS servers (QGIS Server, Mapserver) protected with the Apache authentication. Could you provide a URL? A console error

message?

#2 - 2015-05-27 12:57 AM - Ray Lee

try http://demo.geonode.org/geoserver/ows  as WMS server

enter some credentials. Quit QGIS. Start QGIS --> Crash

Only remedy is manually editing the qgis.conf file and correcting removing the info for that url

#3 - 2015-05-27 01:05 AM - Giovanni Manghi

Ray Lee wrote:

try http://demo.geonode.org/geoserver/ows  as WMS server

enter some credentials. Quit QGIS. Start QGIS --> Crash

Only remedy is manually editing the qgis.conf file and correcting removing the info for that url

no crash whatsoever here on QGIS master. Please give it a try an report back.
#4 - 2015-05-27 01:19 AM - Ray Lee

hm I am on QGIS version    2.8.2-Wien    QGIS code revision    exported

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.10.1    Running against GDAL/OGR    1.10.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.4    SpatiaLite Version    4.1.1

QWT Version    5.2.3    PROJ.4 Version    480

QScintilla2 Version    2.8.1

and the problem persists.

#5 - 2015-06-14 01:52 AM - Giovanni Manghi

Ray Lee wrote:

hm I am on QGIS version    2.8.2-Wien    QGIS code revision    exported

Compiled against Qt    4.8.6    Running against Qt    4.8.6

Compiled against GDAL/OGR    1.10.1    Running against GDAL/OGR    1.10.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.3.4    SpatiaLite Version    4.1.1

QWT Version    5.2.3    PROJ.4 Version    480

QScintilla2 Version    2.8.1

and the problem persists.

please try qgis master as also other systems, this seems a local issue.

#6 - 2015-10-05 04:46 AM - Jürgen Fischer

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for the lack of feedback
